EDIT - bug #6550
bug # 6545 (Closed): [MASTER] Eclipse 4 bugs
bug # 6620 (Closed): [MASTER)] Critical Eclipse 4 bugs
ArraylndexOutOfBoundsException when opening a taxon with double click from the navigator
04/03/2017 12:34 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.7

Severity: normal Found in Version:

Description

Opening a taxon via right-click menu works fine.

'ENTRY org.eclipse.ed.ui.workbench 4 0 2017-04-03 12:32:15.529
'MESSAGE
ISTACK O
java.lang.ArrayIndexOutOfBoundsException: Array index out of range: 0
at java.util.Vector.get (Vector. java:748)
at org.eclipse.ui.forms.editor.FormEditor.pageChange (FormEditor.java:476)
at org.eclipse.ui.part.MultiPageEditorPart$2.widgetSelected (MultiPageEditorPart.java:295)
at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:249)
at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
at org.eclipse.swt.widgets.Display.sendEvent (Display.java:5227)
at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1340)
at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1366)
at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1349)
at org.eclipse.swt.widgets.Widget.notifylListeners (Widget. java:1134)
at org.eclipse.swt.custom.CTabFolder.setSelection(CTabFolder. java:3167)
at org.eclipse.swt.custom.CTabFolder.onFocus (CTabFolder.java:1708)
at org.eclipse.swt.custom.CTabFolder$l.handleEvent (CTabFolder. java:328)
at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
at org.eclipse.swt.widgets.Display.sendEvent (Display.java:5227)
at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1340)
at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1366)
at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1345)
at org.eclipse.swt.widgets.Control.sendFocusEvent (Control. java:4069)
at org.eclipse.swt.widgets.Control.gtk_event_after (Control. java:3341)
at org.eclipse.swt.widgets.Widget.windowProc (Widget.java:1986)
at org.eclipse.swt.widgets.Control.windowProc (Control. java:5827)
at org.eclipse.swt.widgets.Display.windowProc (Display.java:5498)
at org.eclipse.swt.internal.gtk.0S._gtk_widget_grab_focus (Native Method)
at org.eclipse.swt.internal.gtk.O0S.gtk_widget_grab_focus (0S. java:14639)
at org.eclipse.swt.widgets.Control.forceFocus (Control.java:2636)
at org.eclipse.swt.widgets.Composite.forceFocus (Composite. java:595)
at org.eclipse.swt.widgets.Control.forceFocus (Control.java:2629)
at org.eclipse.swt.widgets.Control.setFocus (Control.java:4619)
at org.eclipse.swt.widgets.Composite.setFocus (Composite.java:1543)
at org.eclipse.swt.custom.CTabFolder.setFocus (CTabFolder. java:2614)
at org.eclipse.swt.widgets.Control.fixFocus (Control.java:217)
at org.eclipse.swt.widgets.Control.setVisible (Control.java:5153)
at org.eclipse.swt.custom.CTabItem.setControl (CTabItem. java:305)
at org.eclipse.ui.part.MultiPageEditorPart.createltem (MultiPageEditorPart.java:336)
at org.eclipse.ui.part.MultiPageEditorPart.addPage (MultiPageEditorPart. java:252)
at org.eclipse.ui.forms.editor.FormEditor.addPage (FormEditor. java:330)
at eu.etaxonomy.taxeditor.editor.MultiPageTaxonEditor.addPages (MultiPageTaxonEditor. java:108)
at org.eclipse.ui.forms.editor.FormEditor.createPages (FormEditor.java:140)
at org.eclipse.ui.part.MultiPageEditorPart.createPartControl (MultiPageEditorPart. java:363)
at org.eclipse.ui.internal.ed.compatibility.CompatibilityPart.createPartControl (CompatibilityP
art.java:150)
.NativeMethodAccessorImpl.invokeO (Native Method)
.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

java.lang.reflect.Method. invoke (Method. java:498)
ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)
ed.core.internal.di.InjectorImpl.processAnnotated (InjectorImpl. java:966)
ed.core.internal.di.InjectorImpl.processAnnotated (InjectorImpl. java:931)
ed.core.internal.di.InjectorImpl.inject (InjectorImpl.java:151)
ed.core.internal.di.InjectorImpl.internalMake (InjectorImpl. java:375)
ed.core.internal.di.InjectorImpl.make (InjectorImpl. java:294)
ed.core.contexts.ContextInjectionFactory.make (ContextInjectionFactory.java:162)
ed.ui.internal.workbench.ReflectionContributionFactory.createFromBundle (Reflect

ionContributionFactory. java:105)

at org.eclipse.ed.ui.internal.workbench.ReflectionContributionFactory.doCreate (ReflectionContr
ibutionFactory. java:74)

at org.eclipse.ed.ui.internal.workbench.ReflectionContributionFactory.create (ReflectionContrib
utionFactory.java:56)

at org.eclipse.e4d.ui.workbench.renderers.swt.ContributedPartRenderer.createWidget (ContributedP

artRenderer. java:129)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.createWidget (PartRenderingEngi
ed.ui.internal.workbench.swt.PartRenderingEngine.safeCreateGui (PartRenderingEng
ed.ui.internal.workbench.swt.PartRenderingEngine.safeCreateGui (PartRenderingEng
ed.uil.internal.workbench.swt.PartRenderingEngine.access$0 (PartRenderingEngine. j
ed.ui.internal.workbench.swt.PartRenderingEngine$2.run (PartRenderingEngine. java

core.runtime.SafeRunner.run (SafeRunner. java:42)
ed.ui.internal.workbench.swt.PartRenderingEngine.createGui (PartRenderingEngine.

ed4.ui.internal.workbench.PartServiceImpl$l.handleEvent (PartServiceImpl. java:104

ed.uil.services.internal.events.UIEventHandler$l.run (UIEventHandler. java:40)
swt.widgets.Synchronizer.syncExec (Synchronizer. java:233)
ui.internal.UISynchronizer.syncExec (UISynchronizer. java:145)
swt.widgets.Display.syncExec (Display.java:5414)
ed.ui.internal.workbench.swt.E4Application$l.syncExec (E4Application. java:211)
ed.ui.services.internal.events.UIEventHandler.handleEvent (UIEventHandler. java:3

equinox.internal.event.EventHandlerWrapper.handleEvent (EventHandlerWrapper. java
equinox.internal.event.EventHandlerTracker.dispatchEvent (EventHandlerTracker. ja
equinox.internal.event.EventHandlerTracker.dispatchEvent (EventHandlerTracker. ja

osgi.framework.eventmgr.EventManager.dispatchEvent (EventManager. java:230)
osgi.framework.eventmgr.ListenerQueue.dispatchEventSynchronous (ListenerQueue. ja

equinox.internal.event.EventAdminImpl.dispatchEvent (EventAdminImpl. java:135)
equinox.internal.event.EventAdminImpl.sendEvent (EventAdminImpl. java:78)
equinox.internal.event.EventComponent.sendEvent (EventComponent. java:39)
ed.uil.services.internal.events.EventBroker.send (EventBroker. java:94)
ed.ui.internal.workbench.UIEventPublisher.notifyChanged (UIEventPublisher. java:6

emf.common.notify.impl.BasicNotifierImpl.eNotify (BasicNotifierImpl. java:374)
ed.ui.model.application.ui.impl.ElementContainerImpl.setSelectedElement (Element
173)
e4.ui.internal.workbench.ModelServiceImpl.showElementInWindow (ModelServiceImpl.

ed.ui.internal.workbench.ModelServiceImpl.bringToTop (ModelServiceImpl. java:581)
ed.ui.internal.workbench.PartServiceImpl.delegateBringToTop (PartServiceImpl. jav
ed.ui.internal.workbench.PartServiceImpl.bringToTop (PartServiceImpl. java:401)
ed.ui.internal.workbench.PartServiceImpl.showPart (PartServiceImpl. java:1214)
ui.internal.WorkbenchPage.busyOpenEditor (WorkbenchPage. java:3261)
ui.internal.WorkbenchPage.access$25 (WorkbenchPage. java:3176)
ui.internal.WorkbenchPage$1l0.run (WorkbenchPage. java:3158)
swt.custom.BusyIndicator.showWhile (BusyIndicator. java:70)
ui.internal.WorkbenchPage.openEditor (WorkbenchPage. java:3153)
ui.internal.WorkbenchPage.openEditor (WorkbenchPage. java:3117)
ui.internal.WorkbenchPage.openEditor (WorkbenchPage. java:3098)
taxeditor.editor.EditorUtil.open (EditorUtil. java:81)
taxeditor.editor.EditorUtil.open (EditorUtil.java:101)
taxeditor.editor.EditorUtil.openTaxonNode (EditorUtil. java:161)
taxeditor.navigation.NavigationUtil.openEditor (NavigationUtil. java:116)
taxeditor.navigation.navigator.TaxonNavigator.handleDoubleClick (TaxonNavigator

ui.navigator.CommonNavigator$4$1l.run (CommonNavigator. java:529)
core.runtime.SafeRunner.run (SafeRunner. java:42)
ui.navigator.CommonNavigator$4.doubleClick (CommonNavigator. java:526)
jface.viewers.StructuredViewer$l.run (StructuredViewer. java:833)
core.runtime.SafeRunner.run (SafeRunner. java:42)

ui.internal.JFaceUtil$1l.run (JFaceUtil.java:50)

jface.util.SafeRunnable.run (SafeRunnable. java:173)
jface.viewers.StructuredViewer.fireDoubleClick (StructuredvViewer. java:830)
jface.viewers.AbstractTreeViewer.handleDoubleSelect (AbstractTreeViewer. java:147

ui.navigator.CommonViewer.handleDoubleSelect (CommonViewer. java:445)
jface.viewers.StructuredViewer$4.widgetDefaultSelected (StructuredViewer. java:12

jface.util.OpenStrategy.fireDefaultSelectionEvent (OpenStrategy.java:252)
jface.util.OpenStrategy.access$0 (OpenStrategy.java:249)
jface.util.OpenStrategy$l.handleEvent (OpenStrategy.java:311)
swt.widgets.EventTable.sendEvent (EventTable. java:84)
swt.widgets.Display.sendEvent (Display.java:5227)
swt.widgets.Widget.sendEvent (Widget. java:1340)
swt.widgets.Display.runDeferredEvents (Display.java:4561)
swt.widgets.Display.readAndDispatch (Display. java:4151)
ed4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java

core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1l

ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
ui.internal.Workbench$5.run (Workbench. java:693)
core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

eu.etaxonomy.taxeditor.Application.start (Application. java:24)

org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:134)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter. java:243)

.NativeMethodAccessorImpl.invokeO (Native Method)
.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

java.lang.reflect.Method.invoke (Method. java:498)

org.
equinox.launcher.Main.invokeFramework (Main.java:673)
equinox.launcher.Main.basicRun (Main. java:610)
equinox.launcher.Main.run (Main. java:1519)
equinox.launcher.Main.main (Main. java:1492)

Related issues:
Related to EDIT - feature request #6595: Migrate name editor Closed
Associated revisions

Revision 6252410 - 04/04/2017 10:31 AM - Patrick Plitzner

fix #6550 Discard page change event if no current page is present

History

#1 - 04/03/2017 12:40 PM - Patrick Plitzner
- Description updated

#2 - 04/03/2017 01:40 PM - Katja Luther

on windows | also get the ArraylndexOutOfBoundsException with the right click menu:

java.lang.ArrayIndexOutOfBoundsException: Array index out of range: 0
java.util.Vector.get (Vector. java:748)

org.eclipse.
org.eclipse.
org.eclipse.
org.eclipse.

ui.forms.editor.FormEditor.pageChange (FormEditor.java:476)
ul.part.MultiPageEditorPart$2.widgetSelected (MultiPageEditorPart.java:295)
swt.widgets.TypedListener.handleEvent (TypedListener. java:249)
swt.widgets.EventTable.sendEvent (EventTable. java:84)
swt.widgets.Display.sendEvent (Display.java:4418)
swt.widgets.Widget.sendEvent (Widget.java:1079)
swt.widgets.Widget.sendEvent (Widget.java:1103)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1088)
at org.eclipse.swt.widgets.Widget.notifyListeners (Widget. java:802)
at org.eclipse.swt.custom.CTabFolder.setSelection (CTabFolder. java:3167)
swt.custom.CTabFolder.onFocus (CTabFolder. java:1708)
swt.custom.CTabFolders$l.handleEvent (CTabFolder. java:328)
swt.widgets.EventTable.sendEvent (EventTable. java:84)
swt.widgets.Display.sendEvent (Display.java:4418)
swt.widgets.Widget.sendEvent (Widget.java:1079)
swt.widgets.Widget.sendEvent (Widget.java:1103)
swt.widgets.Widget.sendEvent (Widget.java:1084)
swt.widgets.Control.sendFocusEvent (Control. java:2934)
swt.widgets.Widget.wmSetFocus (Widget.java:2437)
swt.widgets.Control .WM_SETFOCUS (Control.java:5446)
swt.widgets.Control.windowProc (Control. java:4869)
swt.widgets.Display.windowProc (Display.java:5110)
swt.internal.win32.0S.SetFocus (Native Method)
swt.widgets.Control.forceFocus (Control.java:1114)
swt.widgets.Control.setFocus (Control. java:3447)
swt.widgets.Composite.setFocus (Composite. java:1124)
swt.custom.CTabFolder.setFocus (CTabFolder. java:2614)
swt.widgets.Control.fixFocus (Control.java:1069)
swt.widgets.Control.setVisible (Control. java:3972)
swt.custom.CTabItem.setControl (CTabItem. java:305)
ui.part.MultiPageEditorPart.createltem(MultiPageEditorPart. java:336)
ul.part.MultiPageEditorPart.addPage (MultiPageEditorPart.java:252)
ui.forms.editor.FormEditor.addPage (FormEditor. java:330)

eu.etaxonomy.taxeditor.editor.MultiPageTaxonEditor.addPages (MultiPageTaxonEditor.java:108)

#3 - 04/04/2017 10:31 AM - Patrick Plitzner

- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|6252f4f075fdd0b0fd271ede49e82{5904ee83dd.

#4 - 04/04/2017 10:42 AM - Patrick Plitzner

The fix is avoids the exception but does not really remove the cause of the problem. But since we are anyway migrating to Eclipse 4 all editors and
views will have to be migrated, too. Currently, the name editor is a multipage editor allowing it to have multiple pages for on editor input. This is what
was causing the problem org.eclipse.ui.forms.editor.FormEditor.pageChange(). But we do not use this at all so we might as well refactor the editor to
be a "standard" EditorPart without pages so that the problem will not be there anymore.

#5 - 04/04/2017 10:42 AM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Katja Luther

#6 - 04/04/2017 10:42 AM - Patrick Plitzner

- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Patrick Plitzner
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/6252f4f075fdd0b0fd271ede49e82f5904ee83dd

#7 - 05/04/2017 01:23 PM - Andreas Miiller
- Related to feature request #6595: Migrate name editor added

#8 - 05/04/2017 01:25 PM - Andreas Miiller
- Parent task changed from #6545 to #6620

#9 - 09/24/2017 01:11 AM - Andreas Miiller
- % Done changed from 50 to 100
